{ config, lib, ... }:

{
  xdg.mimeApps = {
    enable = config.sbruder.gui.enable;
    defaultApplications = {
      "application/pdf" = "org.pwmt.zathura.desktop";
      "image/png" = "mpv.desktop";
      "image/jpeg" = "mpv.desktop";
    };
  };
  # Some programs overwrite the mimeapps.list symlink with a normal file which
  # makes home-manager activation fail
  xdg.configFile = lib.mkIf config.sbruder.gui.enable {
    "mimeapps.list".force = true;
  };
}
